> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.create_next_version.md).

# Dataset.create\_next\_version

### Dataset.<mark style="color:purple;">create\_next\_version</mark>(\*, *if\_not\_exists=False*) → [Dataset](/api/client-libraries/redivis-python/reference/dataset.md)

Create an unreleased "next" version on the dataset. Will throw an error if the dataset already has a next version, unless `if_not_exists` is set to True. Returns a new dataset instance representing the unreleased version.

### **Parameters:**

**`if_not_exists` :&#x20;*****bool, default False***\
If False (the default), this method will raise an error if the dataset already has a next version. If set to True, the error is ignored and the existing next version of the dataset is returned.

### **Returns:**&#x20;

[**Dataset**](/api/client-libraries/redivis-python/reference/dataset.md)

### Examples:

{% tabs %}
{% tab title="Create and release a version" %}

```python
dataset = redivis.user("my_username").dataset("My dataset")
dataset = dataset.create_next_version()

upload = dataset.table("My table").upload("data.csv")

# We can upload new data to existing tables once we have a "next" version
with open("data.csv", "rb") as file:
    upload.upload_file(file)
    
dataset.release()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/dataset/dataset.create_next_version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
